package com.common.info;

import lombok.ToString;

@ToString
public enum CodeMsg {
    SUCCESS(200, "成功"),
    FAILURE(500, "失败"),
    AUTH_FAILURE(403, "认证失败");

    private Integer code;
    private String message;

    CodeMsg(Integer code, String message){
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
