package com.zbsz.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.common.entity.base.Base;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName(value = "p_indicator")
public class Indicator extends Base {
    @TableField("indicator_id")
    @ApiModelProperty(value = "指标编号")
    private String indicatorId;
    @TableField("indicator_name")
    @ApiModelProperty(value = "指标名称")
    private String indicatorName;
    @TableField("indicator_dic_id")
    @ApiModelProperty(value = "指标类型")
    private Integer indicatorDicId;

    //理论上这个字段应该是字典表
    @TableField("scene_id")
    @ApiModelProperty(value = "场景类型")
    private Integer sceneId;
    @TableField("app_dic_id")
    @ApiModelProperty(value = "应用类型")
    private Integer appDicId;

}
