package com.zbsz.info;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class Result {
    @ApiModelProperty(value = "返回码，200表示成功，其它表示失败")
    private Integer code;
    @ApiModelProperty(value = "返回成功、失败信息")
    private String msg;
    @ApiModelProperty(value = "返回接口对接数据信息")
    private Object data;
    @ApiModelProperty(value = "返回总条数")
    private Long total;
}
