package com.zbsz;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.common.entity.dic.IndicatorDic;
import com.zbsz.service.IndicatorDicService;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.List;

@SpringBootTest
public class IndicatorTest {
    @Resource
    private IndicatorDicService indicatorDicService;
    @Test
    public void testPage(){
        Page<IndicatorDic> page = new Page(1, 2);
        indicatorDicService.page(page);
        List<IndicatorDic> list = page.getRecords();
        for (IndicatorDic indicatorDic : list) {
            System.out.println("|||||||||| : "+ JSON.toJSON(indicatorDic));
            System.out.println("-- : "+indicatorDic.getId());
            System.out.println("-- : "+indicatorDic.getIndicatorType());
            System.out.println("-- : "+indicatorDic.getCreateTime());
        }
        System.out.println("-------- : "+page.getPages());
        System.out.println("-------- : "+page.getTotal());
        System.out.println("-------- : "+page.hasNext());
        System.out.println("-------- : "+page.hasPrevious());
    }
}
